<!DOCTYPE html>
<html>
<head>
	<meta charset="utf-8">
	<title>事件-鼠标事件-拖拽</title>
	<style type="text/css">
		body{
			height: 2000px;
		}
		#div1{
			position: absolute;

			width:200px;
			height:200px;
			background:red;
		}
	</style>
	<script type="text/javascript">
		function getPos(oEvent){
			var scrollTop=document.documentElement.scrollTop||document.body.scrollTop;
			var scrollLeft=document.documentElement.scrollLeft||document.body.scrollLeft;
			return {x:oEvent.clientX+scrollLeft,y:oEvent.clientY+scrollTop}
		}
		document.onmousemove=function(ev){
			var oEvent=ev||event;
			var pos=getPos(oEvent);
			var oDiv=document.getElementById('div1');
			oDiv.style.left=pos.x+'px';
			oDiv.style.top=pos.y+'px';
		}
	</script>
</head>
<body>
	<div id="box">
		<div id="div1"></div>
	</div>
</body>
</html